Hi everyone,

I released version 0.26 of Ruby-GNOME (including the Ruby-GTK binding) a
little while ago. This is a (very) brief summary of the changes (I've
probably forgotten some important stuff, check the ChangeLog for more
detail):

Overview of Changes in Ruby-GTK 0.26

* Add widgets Gtk::FontSelection and Gtk::FontSelectionDialog
* The default name of the application is the ruby script filename
* Add module Gdk::Keyval which implements keyval related functions
* Fix all compiler warnings with "-Wall"
* Lots of code cleanup and refactoring
* Add a lot of missing methods
* Lots of improvements to Gtk::ItemFactory
* Rename Gtk.signal_emit_stop to Gtk.signal_emit_stop_by_name -- this is
BACKWARDS INCOMPATIBLE (sorry). Implemented Gtk.signal_emit_stop
properly -- this is done in the same way as GTK+ now, and makes more
sense.

Overview of Changes in Ruby-GNOME 0.26

* Add widget Gnome::DEntryEdit (still needs some work)
* Add widget Gtk::PixmapMenuItem
* Gnome::Spell bugfixes: report errors properly
* Fix all compiler warnings with "-Wall"
* Added a license blurb to a bunch of files (some licenses still
missing)

You can find the source code and release notes at
http://ruby-gnome.sf.net (click the 'download' link). I already know of
one minor issue with the release: the sample application ('testgtk.rb')
is broken because it's missing a file. The file has been added to CVS.

BTW, I couldn't update the RAA entry because I still need the old
maintainer to send me the passphrase (if someone could reset that for
me, that would be okay too).

Cheers,

Neil

-- 
Neil Conway <neilconway / home.com>
PGP Key ID: DB3C29FC